from .functions import *

__all__ = [
    'create_pointer',
    'datetime_to_timestamptz',
    'timestamptz_to_datetime',
    'timedelta_to_interval',
    'interval_to_timedelta',
    'geometry_to_gserialized',
    'gserialized_to_shapely_point',
    'gserialized_to_shapely_geometry',
    'intrange_to_intspan',
    'intspan_to_intrange',
    'floatrange_to_floatspan',
    'floatspan_to_floatrange',
    'as_tinstant',
    'as_tsequence',
    'as_tsequenceset',
    'lwpoint_make',
    'lwgeom_from_gserialized',
    'gserialized_from_lwgeom',
    'lwgeom_as_lwpoint',
    'lwgeom_get_srid',
    'lwpoint_get_x',
    'lwpoint_get_y',
    'lwpoint_get_z',
    'lwpoint_get_m',
    'lwgeom_has_z',
    'lwgeom_has_m',
    'meos_initialize',
    'meos_finish',
    'bool_in',
    'bool_out',
    'pg_date_in',
    'pg_date_out',
    'pg_interval_cmp',
    'pg_interval_in',
    'pg_interval_make',
    'pg_interval_out',
    'pg_interval_mul',
    'pg_interval_pl',
    'pg_time_in',
    'pg_time_out',
    'pg_timestamp_in',
    'pg_timestamp_mi',
    'pg_timestamp_mi_interval',
    'pg_timestamp_out',
    'pg_timestamp_pl_interval',
    'pg_timestamptz_in',
    'pg_timestamptz_out',
    'gserialized_as_ewkb',
    'gserialized_as_geojson',
    'gserialized_as_hexewkb',
    'gserialized_as_text',
    'gserialized_from_ewkb',
    'gserialized_from_geojson',
    'gserialized_from_hexewkb',
    'gserialized_from_text',
    'gserialized_in',
    'gserialized_out',
    'gserialized_same',
    'floatspan_in',
    'floatspan_out',
    'intspan_in',
    'intspan_out',
    'period_in',
    'period_out',
    'periodset_as_hexwkb',
    'periodset_as_wkb',
    'periodset_from_hexwkb',
    'periodset_from_wkb',
    'periodset_in',
    'periodset_out',
    'span_as_hexwkb',
    'span_as_wkb',
    'span_from_hexwkb',
    'span_from_wkb',
    'span_out',
    'timestampset_as_hexwkb',
    'timestampset_as_wkb',
    'timestampset_from_hexwkb',
    'timestampset_from_wkb',
    'timestampset_in',
    'timestampset_out',
    'floatspan_make',
    'intspan_make',
    'period_make',
    'periodset_copy',
    'periodset_make',
    'periodset_make_free',
    'span_copy',
    'timestampset_copy',
    'timestampset_make',
    'timestampset_make_free',
    'float_to_floaspan',
    'int_to_intspan',
    'period_to_periodset',
    'periodset_to_period',
    'timestamp_to_period',
    'timestamp_to_periodset',
    'timestamp_to_timestampset',
    'timestampset_to_periodset',
    'floatspan_lower',
    'floatspan_upper',
    'intspan_lower',
    'intspan_upper',
    'period_duration',
    'period_lower',
    'period_upper',
    'periodset_duration',
    'periodset_end_period',
    'periodset_end_timestamp',
    'periodset_hash',
    'periodset_hash_extended',
    'periodset_mem_size',
    'periodset_num_periods',
    'periodset_num_timestamps',
    'periodset_period_n',
    'periodset_periods',
    'periodset_start_period',
    'periodset_start_timestamp',
    'periodset_timespan',
    'periodset_timestamp_n',
    'periodset_timestamps',
    'span_hash',
    'span_hash_extended',
    'span_lower_inc',
    'span_upper_inc',
    'span_width',
    'timestampset_end_timestamp',
    'timestampset_hash',
    'timestampset_hash_extended',
    'timestampset_mem_size',
    'timestampset_num_timestamps',
    'timestampset_start_timestamp',
    'timestampset_timespan',
    'timestampset_timestamp_n',
    'timestampset_timestamps',
    'periodset_shift_tscale',
    'span_expand',
    'period_shift_tscale',
    'timestampset_shift_tscale',
    'adjacent_floatspan_float',
    'adjacent_intspan_int',
    'adjacent_period_periodset',
    'adjacent_period_timestamp',
    'adjacent_period_timestampset',
    'adjacent_periodset_period',
    'adjacent_periodset_periodset',
    'adjacent_periodset_timestamp',
    'adjacent_periodset_timestampset',
    'adjacent_span_span',
    'adjacent_timestamp_period',
    'adjacent_timestamp_periodset',
    'adjacent_timestampset_period',
    'adjacent_timestampset_periodset',
    'contained_float_floatspan',
    'contained_int_intspan',
    'contained_period_periodset',
    'contained_periodset_period',
    'contained_periodset_periodset',
    'contained_span_span',
    'contained_timestamp_period',
    'contained_timestamp_periodset',
    'contained_timestamp_timestampset',
    'contained_timestampset_period',
    'contained_timestampset_periodset',
    'contained_timestampset_timestampset',
    'contains_floatspan_float',
    'contains_intspan_int',
    'contains_period_periodset',
    'contains_period_timestamp',
    'contains_period_timestampset',
    'contains_periodset_period',
    'contains_periodset_periodset',
    'contains_periodset_timestamp',
    'contains_periodset_timestampset',
    'contains_span_span',
    'contains_timestampset_timestamp',
    'contains_timestampset_timestampset',
    'overlaps_period_periodset',
    'overlaps_period_timestampset',
    'overlaps_periodset_period',
    'overlaps_periodset_periodset',
    'overlaps_periodset_timestampset',
    'overlaps_span_span',
    'overlaps_timestampset_period',
    'overlaps_timestampset_periodset',
    'overlaps_timestampset_timestampset',
    'after_period_periodset',
    'after_period_timestamp',
    'after_period_timestampset',
    'after_periodset_period',
    'after_periodset_periodset',
    'after_periodset_timestamp',
    'after_periodset_timestampset',
    'after_timestamp_period',
    'after_timestamp_periodset',
    'after_timestamp_timestampset',
    'after_timestampset_period',
    'after_timestampset_periodset',
    'after_timestampset_timestamp',
    'after_timestampset_timestampset',
    'before_period_periodset',
    'before_period_timestamp',
    'before_period_timestampset',
    'before_periodset_period',
    'before_periodset_periodset',
    'before_periodset_timestamp',
    'before_periodset_timestampset',
    'before_timestamp_period',
    'before_timestamp_periodset',
    'before_timestamp_timestampset',
    'before_timestampset_period',
    'before_timestampset_periodset',
    'before_timestampset_timestamp',
    'before_timestampset_timestampset',
    'left_float_floatspan',
    'left_floatspan_float',
    'left_int_intspan',
    'left_intspan_int',
    'left_span_span',
    'overafter_period_periodset',
    'overafter_period_timestamp',
    'overafter_period_timestampset',
    'overafter_periodset_period',
    'overafter_periodset_periodset',
    'overafter_periodset_timestamp',
    'overafter_periodset_timestampset',
    'overafter_timestamp_period',
    'overafter_timestamp_periodset',
    'overafter_timestamp_timestampset',
    'overafter_timestampset_period',
    'overafter_timestampset_periodset',
    'overafter_timestampset_timestamp',
    'overafter_timestampset_timestampset',
    'overbefore_period_periodset',
    'overbefore_period_timestamp',
    'overbefore_period_timestampset',
    'overbefore_periodset_period',
    'overbefore_periodset_periodset',
    'overbefore_periodset_timestamp',
    'overbefore_periodset_timestampset',
    'overbefore_timestamp_period',
    'overbefore_timestamp_periodset',
    'overbefore_timestamp_timestampset',
    'overbefore_timestampset_period',
    'overbefore_timestampset_periodset',
    'overbefore_timestampset_timestamp',
    'overbefore_timestampset_timestampset',
    'overleft_float_floatspan',
    'overleft_floatspan_float',
    'overleft_int_intspan',
    'overleft_intspan_int',
    'overleft_span_span',
    'overright_float_floatspan',
    'overright_floatspan_float',
    'overright_int_intspan',
    'overright_intspan_int',
    'overright_span_span',
    'right_float_floatspan',
    'right_floatspan_float',
    'right_int_intspan',
    'right_intspan_int',
    'right_span_span',
    'intersection_period_periodset',
    'intersection_period_timestamp',
    'intersection_period_timestampset',
    'intersection_periodset_period',
    'intersection_periodset_periodset',
    'intersection_periodset_timestamp',
    'intersection_periodset_timestampset',
    'intersection_span_span',
    'intersection_timestamp_period',
    'intersection_timestamp_periodset',
    'intersection_timestamp_timestamp',
    'intersection_timestamp_timestampset',
    'intersection_timestampset_period',
    'intersection_timestampset_periodset',
    'intersection_timestampset_timestamp',
    'intersection_timestampset_timestampset',
    'minus_period_period',
    'minus_period_periodset',
    'minus_period_timestamp',
    'minus_period_timestampset',
    'minus_periodset_period',
    'minus_periodset_periodset',
    'minus_periodset_timestamp',
    'minus_periodset_timestampset',
    'minus_span_span',
    'minus_timestamp_period',
    'minus_timestamp_periodset',
    'minus_timestamp_timestamp',
    'minus_timestamp_timestampset',
    'minus_timestampset_period',
    'minus_timestampset_periodset',
    'minus_timestampset_timestamp',
    'minus_timestampset_timestampset',
    'union_period_period',
    'union_period_periodset',
    'union_period_timestamp',
    'union_period_timestampset',
    'union_periodset_period',
    'union_periodset_periodset',
    'union_periodset_timestamp',
    'union_periodset_timestampset',
    'union_span_span',
    'union_timestamp_period',
    'union_timestamp_periodset',
    'union_timestamp_timestamp',
    'union_timestamp_timestampset',
    'union_timestampset_period',
    'union_timestampset_periodset',
    'union_timestampset_timestamp',
    'union_timestampset_timestampset',
    'distance_floatspan_float',
    'distance_intspan_int',
    'distance_period_periodset',
    'distance_period_timestamp',
    'distance_period_timestampset',
    'distance_periodset_period',
    'distance_periodset_periodset',
    'distance_periodset_timestamp',
    'distance_periodset_timestampset',
    'distance_span_span',
    'distance_timestamp_period',
    'distance_timestamp_periodset',
    'distance_timestamp_timestamp',
    'distance_timestamp_timestampset',
    'distance_timestampset_period',
    'distance_timestampset_periodset',
    'distance_timestampset_timestamp',
    'distance_timestampset_timestampset',
    'timestamp_extent_transfn',
    'timestampset_extent_transfn',
    'span_extent_transfn',
    'periodset_extent_transfn',
    'timestamp_tunion_transfn',
    'timestampset_tunion_transfn',
    'period_tunion_transfn',
    'periodset_tunion_transfn',
    'timestamp_tunion_finalfn',
    'period_tunion_finalfn',
    'timestamp_tcount_transfn',
    'timestampset_tcount_transfn',
    'period_tcount_transfn',
    'periodset_tcount_transfn',
    'periodset_eq',
    'periodset_ne',
    'periodset_cmp',
    'periodset_lt',
    'periodset_le',
    'periodset_ge',
    'periodset_gt',
    'span_eq',
    'span_ne',
    'span_cmp',
    'span_lt',
    'span_le',
    'span_ge',
    'span_gt',
    'timestampset_eq',
    'timestampset_ne',
    'timestampset_cmp',
    'timestampset_lt',
    'timestampset_le',
    'timestampset_ge',
    'timestampset_gt',
    'tbox_in',
    'tbox_out',
    'tbox_from_wkb',
    'tbox_from_hexwkb',
    'stbox_from_wkb',
    'stbox_from_hexwkb',
    'tbox_as_wkb',
    'tbox_as_hexwkb',
    'stbox_as_wkb',
    'stbox_as_hexwkb',
    'stbox_in',
    'stbox_out',
    'tbox_make',
    'tbox_set',
    'tbox_copy',
    'stbox_make',
    'stbox_set',
    'stbox_copy',
    'int_to_tbox',
    'float_to_tbox',
    'span_to_tbox',
    'timestamp_to_tbox',
    'timestampset_to_tbox',
    'period_to_tbox',
    'periodset_to_tbox',
    'int_timestamp_to_tbox',
    'float_timestamp_to_tbox',
    'int_period_to_tbox',
    'float_period_to_tbox',
    'span_timestamp_to_tbox',
    'span_period_to_tbox',
    'tbox_to_floatspan',
    'tbox_to_period',
    'stbox_to_period',
    'tnumber_to_tbox',
    'stbox_to_geo',
    'tpoint_to_stbox',
    'geo_to_stbox',
    'timestamp_to_stbox',
    'timestampset_to_stbox',
    'period_to_stbox',
    'periodset_to_stbox',
    'geo_timestamp_to_stbox',
    'geo_period_to_stbox',
    'tbox_hasx',
    'tbox_hast',
    'tbox_xmin',
    'tbox_xmax',
    'tbox_tmin',
    'tbox_tmax',
    'stbox_hasx',
    'stbox_hasz',
    'stbox_hast',
    'stbox_isgeodetic',
    'stbox_xmin',
    'stbox_xmax',
    'stbox_ymin',
    'stbox_ymax',
    'stbox_zmin',
    'stbox_zmax',
    'stbox_tmin',
    'stbox_tmax',
    'stbox_srid',
    'tbox_expand',
    'tbox_shift_tscale',
    'tbox_expand_value',
    'tbox_expand_temporal',
    'stbox_expand',
    'stbox_shift_tscale',
    'stbox_set_srid',
    'stbox_expand_spatial',
    'stbox_expand_temporal',
    'contains_tbox_tbox',
    'contained_tbox_tbox',
    'overlaps_tbox_tbox',
    'same_tbox_tbox',
    'adjacent_tbox_tbox',
    'contains_stbox_stbox',
    'contained_stbox_stbox',
    'overlaps_stbox_stbox',
    'same_stbox_stbox',
    'adjacent_stbox_stbox',
    'left_tbox_tbox',
    'overleft_tbox_tbox',
    'right_tbox_tbox',
    'overright_tbox_tbox',
    'before_tbox_tbox',
    'overbefore_tbox_tbox',
    'after_tbox_tbox',
    'overafter_tbox_tbox',
    'left_stbox_stbox',
    'overleft_stbox_stbox',
    'right_stbox_stbox',
    'overright_stbox_stbox',
    'below_stbox_stbox',
    'overbelow_stbox_stbox',
    'above_stbox_stbox',
    'overabove_stbox_stbox',
    'front_stbox_stbox',
    'overfront_stbox_stbox',
    'back_stbox_stbox',
    'overback_stbox_stbox',
    'before_stbox_stbox',
    'overbefore_stbox_stbox',
    'after_stbox_stbox',
    'overafter_stbox_stbox',
    'union_tbox_tbox',
    'inter_tbox_tbox',
    'intersection_tbox_tbox',
    'union_stbox_stbox',
    'inter_stbox_stbox',
    'intersection_stbox_stbox',
    'tbox_eq',
    'tbox_ne',
    'tbox_cmp',
    'tbox_lt',
    'tbox_le',
    'tbox_ge',
    'tbox_gt',
    'stbox_eq',
    'stbox_ne',
    'stbox_cmp',
    'stbox_lt',
    'stbox_le',
    'stbox_ge',
    'stbox_gt',
    'cstring2text',
    'text2cstring',
    'tbool_in',
    'tbool_out',
    'temporal_as_hexwkb',
    'temporal_as_mfjson',
    'temporal_as_wkb',
    'temporal_from_hexwkb',
    'temporal_from_mfjson',
    'temporal_from_wkb',
    'tfloat_in',
    'tfloat_out',
    'tgeogpoint_in',
    'tgeompoint_in',
    'tint_in',
    'tint_out',
    'tpoint_as_ewkt',
    'tpoint_as_text',
    'tpoint_out',
    'ttext_in',
    'ttext_out',
    'tbool_from_base',
    'tboolinst_make',
    'tbooldiscseq_from_base_time',
    'tboolseq_from_base',
    'tboolseq_from_base_time',
    'tboolseqset_from_base',
    'tboolseqset_from_base_time',
    'temporal_copy',
    'tfloat_from_base',
    'tfloatinst_make',
    'tfloatdiscseq_from_base_time',
    'tfloatseq_from_base',
    'tfloatseq_from_base_time',
    'tfloatseqset_from_base',
    'tfloatseqset_from_base_time',
    'tgeogpoint_from_base',
    'tgeogpointinst_make',
    'tgeogpointdiscseq_from_base_time',
    'tgeogpointseq_from_base',
    'tgeogpointseq_from_base_time',
    'tgeogpointseqset_from_base',
    'tgeogpointseqset_from_base_time',
    'tgeompoint_from_base',
    'tgeompointinst_make',
    'tgeompointdiscseq_from_base_time',
    'tgeompointseq_from_base',
    'tgeompointseq_from_base_time',
    'tgeompointseqset_from_base',
    'tgeompointseqset_from_base_time',
    'tint_from_base',
    'tintinst_make',
    'tintdiscseq_from_base_time',
    'tintseq_from_base',
    'tintseq_from_base_time',
    'tintseqset_from_base',
    'tintseqset_from_base_time',
    'tsequence_make',
    'tsequence_make_exp',
    'tpointseq_make_coords',
    'tsequence_make_free',
    'tsequenceset_make',
    'tsequenceset_make_free',
    'tsequenceset_make_gaps',
    'ttext_from_base',
    'ttextinst_make',
    'ttextdiscseq_from_base_time',
    'ttextseq_from_base',
    'ttextseq_from_base_time',
    'ttextseqset_from_base',
    'ttextseqset_from_base_time',
    'tfloat_to_tint',
    'tint_to_tfloat',
    'tnumber_to_span',
    'temporal_to_period',
    'tbool_end_value',
    'tbool_start_value',
    'tbool_values',
    'temporal_duration',
    'temporal_end_instant',
    'temporal_end_sequence',
    'temporal_end_timestamp',
    'temporal_hash',
    'temporal_instant_n',
    'temporal_instants',
    'temporal_interpolation',
    'temporal_max_instant',
    'temporal_min_instant',
    'temporal_num_instants',
    'temporal_num_sequences',
    'temporal_num_timestamps',
    'temporal_segments',
    'temporal_sequence_n',
    'temporal_sequences',
    'temporal_size',
    'temporal_start_instant',
    'temporal_start_sequence',
    'temporal_start_timestamp',
    'temporal_subtype',
    'temporal_time',
    'temporal_timespan',
    'temporal_timestamp_n',
    'temporal_timestamps',
    'tfloat_end_value',
    'tfloat_max_value',
    'tfloat_min_value',
    'tfloat_spans',
    'tfloat_start_value',
    'tfloat_values',
    'tint_end_value',
    'tint_max_value',
    'tint_min_value',
    'tint_start_value',
    'tint_values',
    'tpoint_end_value',
    'tpoint_start_value',
    'tpoint_values',
    'ttext_end_value',
    'ttext_max_value',
    'ttext_min_value',
    'ttext_start_value',
    'ttext_values',
    'tsequence_compact',
    'temporal_append_tinstant',
    'temporal_merge',
    'temporal_merge_array',
    'temporal_shift',
    'temporal_shift_tscale',
    'temporal_step_to_linear',
    'temporal_to_tinstant',
    'temporal_to_tdiscseq',
    'temporal_to_tsequence',
    'temporal_to_tsequenceset',
    'temporal_tscale',
    'tbool_at_value',
    'tbool_minus_value',
    'tbool_value_at_timestamp',
    'temporal_at_max',
    'temporal_at_min',
    'temporal_at_period',
    'temporal_at_periodset',
    'temporal_at_timestamp',
    'temporal_at_timestampset',
    'temporal_minus_max',
    'temporal_minus_min',
    'temporal_minus_period',
    'temporal_minus_periodset',
    'temporal_minus_timestamp',
    'temporal_minus_timestampset',
    'tfloat_at_value',
    'tfloat_at_values',
    'tfloat_minus_value',
    'tfloat_minus_values',
    'tfloat_value_at_timestamp',
    'tint_at_value',
    'tint_at_values',
    'tint_minus_value',
    'tint_minus_values',
    'tint_value_at_timestamp',
    'tnumber_at_span',
    'tnumber_at_spans',
    'tnumber_at_tbox',
    'tnumber_minus_span',
    'tnumber_minus_spans',
    'tnumber_minus_tbox',
    'tpoint_at_geometry',
    'tpoint_at_stbox',
    'tpoint_at_value',
    'tpoint_at_values',
    'tpoint_minus_geometry',
    'tpoint_minus_stbox',
    'tpoint_minus_value',
    'tpoint_minus_values',
    'tpoint_value_at_timestamp',
    'ttext_at_value',
    'ttext_at_values',
    'ttext_minus_value',
    'ttext_minus_values',
    'ttext_value_at_timestamp',
    'tand_bool_tbool',
    'tand_tbool_bool',
    'tand_tbool_tbool',
    'tnot_tbool',
    'tor_bool_tbool',
    'tor_tbool_bool',
    'tor_tbool_tbool',
    'tbool_when_true',
    'add_float_tfloat',
    'add_int_tint',
    'add_tfloat_float',
    'add_tint_int',
    'add_tnumber_tnumber',
    'div_float_tfloat',
    'div_int_tint',
    'div_tfloat_float',
    'div_tint_int',
    'div_tnumber_tnumber',
    'mult_float_tfloat',
    'mult_int_tint',
    'mult_tfloat_float',
    'mult_tint_int',
    'mult_tnumber_tnumber',
    'sub_float_tfloat',
    'sub_int_tint',
    'sub_tfloat_float',
    'sub_tint_int',
    'sub_tnumber_tnumber',
    'tfloat_degrees',
    'tfloat_radians',
    'tfloat_derivative',
    'textcat_text_ttext',
    'textcat_ttext_text',
    'textcat_ttext_ttext',
    'ttext_upper',
    'ttext_lower',
    'adjacent_float_tfloat',
    'adjacent_geo_tpoint',
    'adjacent_int_tint',
    'adjacent_period_temporal',
    'adjacent_periodset_temporal',
    'adjacent_span_tnumber',
    'adjacent_stbox_tpoint',
    'adjacent_tbox_tnumber',
    'adjacent_temporal_period',
    'adjacent_temporal_periodset',
    'adjacent_temporal_temporal',
    'adjacent_temporal_timestamp',
    'adjacent_temporal_timestampset',
    'adjacent_tfloat_float',
    'adjacent_timestamp_temporal',
    'adjacent_timestampset_temporal',
    'adjacent_tint_int',
    'adjacent_tnumber_span',
    'adjacent_tnumber_tbox',
    'adjacent_tnumber_tnumber',
    'adjacent_tpoint_geo',
    'adjacent_tpoint_stbox',
    'adjacent_tpoint_tpoint',
    'contained_float_tfloat',
    'contained_geo_tpoint',
    'contained_int_tint',
    'contained_period_temporal',
    'contained_periodset_temporal',
    'contained_span_tnumber',
    'contained_stbox_tpoint',
    'contained_tbox_tnumber',
    'contained_temporal_period',
    'contained_temporal_periodset',
    'contained_temporal_temporal',
    'contained_temporal_timestamp',
    'contained_temporal_timestampset',
    'contained_tfloat_float',
    'contained_timestamp_temporal',
    'contained_timestampset_temporal',
    'contained_tint_int',
    'contained_tnumber_span',
    'contained_tnumber_tbox',
    'contained_tnumber_tnumber',
    'contained_tpoint_geo',
    'contained_tpoint_stbox',
    'contained_tpoint_tpoint',
    'contains_bbox_geo_tpoint',
    'contains_float_tfloat',
    'contains_int_tint',
    'contains_period_temporal',
    'contains_periodset_temporal',
    'contains_span_tnumber',
    'contains_stbox_tpoint',
    'contains_tbox_tnumber',
    'contains_temporal_period',
    'contains_temporal_periodset',
    'contains_temporal_temporal',
    'contains_temporal_timestamp',
    'contains_temporal_timestampset',
    'contains_tfloat_float',
    'contains_timestamp_temporal',
    'contains_timestampset_temporal',
    'contains_tint_int',
    'contains_tnumber_span',
    'contains_tnumber_tbox',
    'contains_tnumber_tnumber',
    'contains_tpoint_geo',
    'contains_tpoint_stbox',
    'contains_tpoint_tpoint',
    'left_float_tfloat',
    'left_int_tint',
    'left_tfloat_float',
    'left_tint_int',
    'overlaps_float_tfloat',
    'overlaps_geo_tpoint',
    'overlaps_int_tint',
    'overlaps_period_temporal',
    'overlaps_periodset_temporal',
    'overlaps_span_tnumber',
    'overlaps_stbox_tpoint',
    'overlaps_tbox_tnumber',
    'overlaps_temporal_period',
    'overlaps_temporal_periodset',
    'overlaps_temporal_temporal',
    'overlaps_temporal_timestamp',
    'overlaps_temporal_timestampset',
    'overlaps_tfloat_float',
    'overlaps_timestamp_temporal',
    'overlaps_timestampset_temporal',
    'overlaps_tint_int',
    'overlaps_tnumber_span',
    'overlaps_tnumber_tbox',
    'overlaps_tnumber_tnumber',
    'overlaps_tpoint_geo',
    'overlaps_tpoint_stbox',
    'overlaps_tpoint_tpoint',
    'overleft_float_tfloat',
    'overleft_int_tint',
    'overleft_tfloat_float',
    'overleft_tint_int',
    'overright_float_tfloat',
    'overright_int_tint',
    'overright_tfloat_float',
    'overright_tint_int',
    'right_float_tfloat',
    'right_int_tint',
    'right_tfloat_float',
    'right_tint_int',
    'same_float_tfloat',
    'same_geo_tpoint',
    'same_int_tint',
    'same_period_temporal',
    'same_periodset_temporal',
    'same_span_tnumber',
    'same_stbox_tpoint',
    'same_tbox_tnumber',
    'same_temporal_period',
    'same_temporal_periodset',
    'same_temporal_temporal',
    'same_temporal_timestamp',
    'same_temporal_timestampset',
    'same_tfloat_float',
    'same_timestamp_temporal',
    'same_timestampset_temporal',
    'same_tint_int',
    'same_tnumber_span',
    'same_tnumber_tbox',
    'same_tnumber_tnumber',
    'same_tpoint_geo',
    'same_tpoint_stbox',
    'same_tpoint_tpoint',
    'above_geo_tpoint',
    'above_stbox_tpoint',
    'above_tpoint_geo',
    'above_tpoint_stbox',
    'above_tpoint_tpoint',
    'after_period_temporal',
    'after_periodset_temporal',
    'after_stbox_tpoint',
    'after_tbox_tnumber',
    'after_temporal_period',
    'after_temporal_periodset',
    'after_temporal_temporal',
    'after_temporal_timestamp',
    'after_temporal_timestampset',
    'after_timestamp_temporal',
    'after_timestampset_temporal',
    'after_tnumber_tbox',
    'after_tnumber_tnumber',
    'after_tpoint_stbox',
    'after_tpoint_tpoint',
    'back_geo_tpoint',
    'back_stbox_tpoint',
    'back_tpoint_geo',
    'back_tpoint_stbox',
    'back_tpoint_tpoint',
    'before_period_temporal',
    'before_periodset_temporal',
    'before_stbox_tpoint',
    'before_tbox_tnumber',
    'before_temporal_period',
    'before_temporal_periodset',
    'before_temporal_temporal',
    'before_temporal_timestamp',
    'before_temporal_timestampset',
    'before_timestamp_temporal',
    'before_timestampset_temporal',
    'before_tnumber_tbox',
    'before_tnumber_tnumber',
    'before_tpoint_stbox',
    'before_tpoint_tpoint',
    'below_geo_tpoint',
    'below_stbox_tpoint',
    'below_tpoint_geo',
    'below_tpoint_stbox',
    'below_tpoint_tpoint',
    'front_geo_tpoint',
    'front_stbox_tpoint',
    'front_tpoint_geo',
    'front_tpoint_stbox',
    'front_tpoint_tpoint',
    'left_geo_tpoint',
    'left_span_tnumber',
    'left_stbox_tpoint',
    'left_tbox_tnumber',
    'left_tnumber_span',
    'left_tnumber_tbox',
    'left_tnumber_tnumber',
    'left_tpoint_geo',
    'left_tpoint_stbox',
    'left_tpoint_tpoint',
    'overabove_geo_tpoint',
    'overabove_stbox_tpoint',
    'overabove_tpoint_geo',
    'overabove_tpoint_stbox',
    'overabove_tpoint_tpoint',
    'overafter_period_temporal',
    'overafter_periodset_temporal',
    'overafter_stbox_tpoint',
    'overafter_tbox_tnumber',
    'overafter_temporal_period',
    'overafter_temporal_periodset',
    'overafter_temporal_temporal',
    'overafter_temporal_timestamp',
    'overafter_temporal_timestampset',
    'overafter_timestamp_temporal',
    'overafter_timestampset_temporal',
    'overafter_tnumber_tbox',
    'overafter_tnumber_tnumber',
    'overafter_tpoint_stbox',
    'overafter_tpoint_tpoint',
    'overback_geo_tpoint',
    'overback_stbox_tpoint',
    'overback_tpoint_geo',
    'overback_tpoint_stbox',
    'overback_tpoint_tpoint',
    'overbefore_period_temporal',
    'overbefore_periodset_temporal',
    'overbefore_stbox_tpoint',
    'overbefore_tbox_tnumber',
    'overbefore_temporal_period',
    'overbefore_temporal_periodset',
    'overbefore_temporal_temporal',
    'overbefore_temporal_timestamp',
    'overbefore_temporal_timestampset',
    'overbefore_timestamp_temporal',
    'overbefore_timestampset_temporal',
    'overbefore_tnumber_tbox',
    'overbefore_tnumber_tnumber',
    'overbefore_tpoint_stbox',
    'overbefore_tpoint_tpoint',
    'overbelow_geo_tpoint',
    'overbelow_stbox_tpoint',
    'overbelow_tpoint_geo',
    'overbelow_tpoint_stbox',
    'overbelow_tpoint_tpoint',
    'overfront_geo_tpoint',
    'overfront_stbox_tpoint',
    'overfront_tpoint_geo',
    'overfront_tpoint_stbox',
    'overfront_tpoint_tpoint',
    'overleft_geo_tpoint',
    'overleft_span_tnumber',
    'overleft_stbox_tpoint',
    'overleft_tbox_tnumber',
    'overleft_tnumber_span',
    'overleft_tnumber_tbox',
    'overleft_tnumber_tnumber',
    'overleft_tpoint_geo',
    'overleft_tpoint_stbox',
    'overleft_tpoint_tpoint',
    'overright_geo_tpoint',
    'overright_span_tnumber',
    'overright_stbox_tpoint',
    'overright_tbox_tnumber',
    'overright_tnumber_span',
    'overright_tnumber_tbox',
    'overright_tnumber_tnumber',
    'overright_tpoint_geo',
    'overright_tpoint_stbox',
    'overright_tpoint_tpoint',
    'right_geo_tpoint',
    'right_span_tnumber',
    'right_stbox_tpoint',
    'right_tbox_tnumber',
    'right_tnumber_span',
    'right_tnumber_tbox',
    'right_tnumber_tnumber',
    'right_tpoint_geo',
    'right_tpoint_stbox',
    'right_tpoint_tpoint',
    'distance_tfloat_float',
    'distance_tint_int',
    'distance_tnumber_tnumber',
    'distance_tpoint_geo',
    'distance_tpoint_tpoint',
    'nad_stbox_geo',
    'nad_stbox_stbox',
    'nad_tbox_tbox',
    'nad_tfloat_float',
    'nad_tfloat_tfloat',
    'nad_tint_int',
    'nad_tint_tint',
    'nad_tnumber_tbox',
    'nad_tpoint_geo',
    'nad_tpoint_stbox',
    'nad_tpoint_tpoint',
    'nai_tpoint_geo',
    'nai_tpoint_tpoint',
    'shortestline_tpoint_geo',
    'shortestline_tpoint_tpoint',
    'tbool_always_eq',
    'tbool_ever_eq',
    'tfloat_always_eq',
    'tfloat_always_le',
    'tfloat_always_lt',
    'tfloat_ever_eq',
    'tfloat_ever_le',
    'tfloat_ever_lt',
    'tgeogpoint_always_eq',
    'tgeogpoint_ever_eq',
    'tgeompoint_always_eq',
    'tgeompoint_ever_eq',
    'tint_always_eq',
    'tint_always_le',
    'tint_always_lt',
    'tint_ever_eq',
    'tint_ever_le',
    'tint_ever_lt',
    'ttext_always_eq',
    'ttext_always_le',
    'ttext_always_lt',
    'ttext_ever_eq',
    'ttext_ever_le',
    'ttext_ever_lt',
    'temporal_cmp',
    'temporal_eq',
    'temporal_ge',
    'temporal_gt',
    'temporal_le',
    'temporal_lt',
    'temporal_ne',
    'teq_bool_tbool',
    'teq_float_tfloat',
    'teq_geo_tpoint',
    'teq_int_tint',
    'teq_point_tgeogpoint',
    'teq_point_tgeompoint',
    'teq_tbool_bool',
    'teq_temporal_temporal',
    'teq_text_ttext',
    'teq_tfloat_float',
    'teq_tgeogpoint_point',
    'teq_tgeompoint_point',
    'teq_tint_int',
    'teq_tpoint_geo',
    'teq_ttext_text',
    'tge_float_tfloat',
    'tge_int_tint',
    'tge_temporal_temporal',
    'tge_text_ttext',
    'tge_tfloat_float',
    'tge_tint_int',
    'tge_ttext_text',
    'tgt_float_tfloat',
    'tgt_int_tint',
    'tgt_temporal_temporal',
    'tgt_text_ttext',
    'tgt_tfloat_float',
    'tgt_tint_int',
    'tgt_ttext_text',
    'tle_float_tfloat',
    'tle_int_tint',
    'tle_temporal_temporal',
    'tle_text_ttext',
    'tle_tfloat_float',
    'tle_tint_int',
    'tle_ttext_text',
    'tlt_float_tfloat',
    'tlt_int_tint',
    'tlt_temporal_temporal',
    'tlt_text_ttext',
    'tlt_tfloat_float',
    'tlt_tint_int',
    'tlt_ttext_text',
    'tne_bool_tbool',
    'tne_float_tfloat',
    'tne_geo_tpoint',
    'tne_int_tint',
    'tne_point_tgeogpoint',
    'tne_point_tgeompoint',
    'tne_tbool_bool',
    'tne_temporal_temporal',
    'tne_text_ttext',
    'tne_tfloat_float',
    'tne_tgeogpoint_point',
    'tne_tgeompoint_point',
    'tne_tint_int',
    'tne_tpoint_geo',
    'tne_ttext_text',
    'bearing_point_point',
    'bearing_tpoint_point',
    'bearing_tpoint_tpoint',
    'tpoint_azimuth',
    'tpoint_cumulative_length',
    'tpoint_get_coord',
    'tpoint_is_simple',
    'tpoint_length',
    'tpoint_speed',
    'tpoint_srid',
    'tpoint_stboxes',
    'tpoint_trajectory',
    'geo_expand_spatial',
    'tgeompoint_tgeogpoint',
    'tpoint_expand_spatial',
    'tpoint_make_simple',
    'tpoint_set_srid',
    'contains_geo_tpoint',
    'disjoint_tpoint_geo',
    'disjoint_tpoint_tpoint',
    'dwithin_tpoint_geo',
    'dwithin_tpoint_tpoint',
    'intersects_tpoint_geo',
    'intersects_tpoint_tpoint',
    'tcontains_geo_tpoint',
    'tdisjoint_tpoint_geo',
    'tdwithin_tpoint_geo',
    'tdwithin_tpoint_tpoint',
    'tintersects_tpoint_geo',
    'touches_tpoint_geo',
    'ttouches_tpoint_geo',
    'temporal_insert',
    'temporal_update',
    'temporal_delete_timestamp',
    'temporal_delete_timestampset',
    'temporal_delete_period',
    'temporal_delete_periodset',
    'temporal_intersects_period',
    'temporal_intersects_periodset',
    'temporal_intersects_timestamp',
    'temporal_intersects_timestampset',
    'tnumber_integral',
    'tnumber_twavg',
    'tpoint_twcentroid',
    'skiplist_free',
    'temporal_extent_transfn',
    'tnumber_extent_transfn',
    'tpoint_extent_transfn',
    'temporal_tcount_transfn',
    'tbool_tand_transfn',
    'tbool_tor_transfn',
    'tint_tmin_transfn',
    'tfloat_tmin_transfn',
    'tint_tmax_transfn',
    'tfloat_tmax_transfn',
    'tint_tsum_transfn',
    'tfloat_tsum_transfn',
    'tnumber_tavg_transfn',
    'ttext_tmin_transfn',
    'ttext_tmax_transfn',
    'temporal_tagg_finalfn',
    'tnumber_tavg_finalfn',
    'int_bucket',
    'float_bucket',
    'timestamptz_bucket',
    'intspan_bucket_list',
    'floatspan_bucket_list',
    'period_bucket_list',
    'tbox_tile_list',
    'tint_value_split',
    'tfloat_value_split',
    'temporal_time_split',
    'tint_value_time_split',
    'tfloat_value_time_split',
    'stbox_tile_list',
    'temporal_frechet_distance',
    'temporal_dyntimewarp_distance',
    'temporal_frechet_path',
    'temporal_dyntimewarp_path',
    'geo_to_tpoint',
    'temporal_simplify',
    'tpoint_AsMVTGeom',
    'tpoint_to_geo_measure',
]
